Bug 1311249 - Max number of java open connections when registered content hosts are at scale
Max number of java open connections when registered content hosts are at scale
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Registration (Show other bugs)
6.1.7
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 12:49 EST by Pradeep Kumar Surisetty
Modified: 2016-08-18 12:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-18 12:32:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kumar Surisetty 2016-02-23 12:49:53 EST
Description of problem:


Registered close to 2000 content hosts to satelitte server.  tried multiple times concurrent connections as well ( 50, 100, 150, 200) 

Noticed max number of java connections opened. 


lsof | cut -d ' ' -f 1 | sort | uniq -c | sort -n | tail
    364 sshd
    944 qdrouterd
   1052 Passenger
   2305 postgres
   2523 mongod
   4340 httpd
   7898 ruby
   8767 celery
  11574 qpidd
 167041 java



[root@satserver elasticsearch]# ulimit -a | grep open 
open files                      (-n) 1024
[root@satserver elasticsearch]# 



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Register content hosts in scale
2.
3.

Actual results:

Too many open connections

Expected results:

Expected to be lesser open connections

Additional info:
Comment 1 Jan Hutař 2016-02-24 04:00:58 EST
There is a lots of connections even when you are not at scale. I have Sat6 running for few days and have synced RHEL6 + RH Common repos and registered ~10 systems and I see this:

# lsof | cut -d ' ' -f 1 | sort | uniq -c | sort -n | tail
    344 tuned
    420 named
    636 Passenger
    720 qpidd
   1950 postgres
   1975 mongod
   3521 ruby
   4070 httpd
   6489 celery
  56592 java
# lsof | grep elastic | wc -l
40320
Comment 2 Bryan Kearney 2016-07-26 15:03:54 EDT
Moving 6.2 bugs out to sat-backlog.
Comment 3 Chris Duryee 2016-08-18 12:32:39 EDT
This bug appears to be related to elasticsearch, which has been removed in 6.2.

Marking as CLOSED/CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.